Re: [hwloc-users] HWLOC_VERSION

2017-10-30 Thread Biddiscombe, John A.
Brice aha. ok thanks I tried 0x00010b03 but my 1.11.7 build only has 0x00010b00 set so I assumed patch releases were not marked in there. I'll see what I can do about a configure time check. JB -Original Message- From: hwloc-users [mailto:hwloc-users-boun...@lists.open-mpi.org] On

Re: [hwloc-users] HWLOC_VERSION

2017-10-30 Thread Brice Goglin
Hello It should have been 0x00010b03 but I forgot to increase it unfortunately (and again in 1.11.6). I need to add this to my release-TODO-list. The upcoming 1.11.9 will have the proper HWLOC_API_VERSION (0x00010b06 unless we had something) so that people can at least check for these features

[hwloc-users] HWLOC_VERSION

2017-10-30 Thread Biddiscombe, John A.
Dear list According to the release notes Add HWLOC_MEMBIND_BYNODESET flag was added in 1.11.3 - if I protect some code with #if HWLOC_API_VERSION >= 0x00010b00 then versions 1.11.0, 1.11.1, 1.11.2 still cause build failures. is there some VERSION flag that distinguishes between the patch